[gnome-continuous-yocto/gnomeostree-3.28-rocko: 2797/8267] build-perf-test-wrapper.sh: accept test case failures
- From: Emmanuele Bassi <ebassi src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-continuous-yocto/gnomeostree-3.28-rocko: 2797/8267] build-perf-test-wrapper.sh: accept test case failures
- Date: Sat, 16 Dec 2017 23:44:03 +0000 (UTC)
commit a17ce357fec2c38db3ff5263c652c82fdf0682bc
Author: Markus Lehtonen <markus lehtonen linux intel com>
Date: Fri Sep 30 13:06:07 2016 +0300
build-perf-test-wrapper.sh: accept test case failures
Utilize the new return value (2) from oe-build-perf-test. Do not exit
with an error in case some individual tests fail. Even if some tests
fail we still want to complete successfully, that is, display and
archive the results and do cleanup. The individual tests do not depend
on each other anymore so test failures shouldn't affect the results of
successful tests.
(From OE-Core rev: e3c7d8a98a261a6a8c913e7fcd19264df501636d)
Signed-off-by: Markus Lehtonen <markus lehtonen linux intel com>
Signed-off-by: Ross Burton <ross burton intel com>
Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>
scripts/contrib/build-perf-test-wrapper.sh | 23 ++++++++++++++---------
1 files changed, 14 insertions(+), 9 deletions(-)
---
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index 97e24d8..e03ea97 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -117,15 +117,20 @@ if [ -f "$base_dir/auto.conf.extra" ]; then
fi
# Run actual test script
-if ! oe-build-perf-test --out-dir "$results_dir" \
- --globalres-file "$globalres_log" \
- --lock-file "$base_dir/oe-build-perf.lock" \
- "${commit_results[@]}" \
- --commit-results-branch "{tester_host}/{git_branch}/$machine" \
- --commit-results-tag
"{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"; then
- echo "oe-build-perf-test script failed!"
- exit 1
-fi
+oe-build-perf-test --out-dir "$results_dir" \
+ --globalres-file "$globalres_log" \
+ --lock-file "$base_dir/oe-build-perf.lock" \
+ "${commit_results[@]}" \
+ --commit-results-branch "{tester_host}/{git_branch}/$machine" \
+ --commit-results-tag
"{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"
+
+case $? in
+ 1) echo "ERROR: oe-build-perf-test script failed!"
+ exit 1
+ ;;
+ 2) echo "NOTE: some tests failed!"
+ ;;
+esac
echo -ne "\n\n-----------------\n"
echo "Global results file:"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]